Package twisted :: Package web :: Module widgets :: Class WidgetPage

[show private | hide private]
[frames | no frames]

## Class WidgetPage

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                  Resource --+
                             |
                Widget --+   |
                         |   |
              Presentation --+
                             |
                          Page --+
                                 |
                                WidgetPage

I am a Page that takes a Widget in its constructor, and displays that Widget wrapped up in a simple HTML template.

Method Summary
| `__init__(self, widget)`
| `addClassVars(self, namespace, Class)` (inherited from `Presentation`)
| `addVariables(self, namespace, request)` (inherited from `Presentation`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Resource`)
| ``display`(self, request)` Implement me to represent your widget. (inherited from `Presentation`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| `formatTraceback(self, tb)` (inherited from `Presentation`)
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me. (inherited from `Resource`)
| ``getChildForRequest`(self, request)` (internal) Get a child of mine dependant on a particular request. (inherited from `Resource`)
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me. (inherited from `Resource`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Resource`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Resource`)
| `getTitle(self, request)` (inherited from `Widget`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Resource`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| `listEntities(self)` (inherited from `Resource`)
| `listNames(self)` (inherited from `Resource`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Resource`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page.
| ``putChild`(self, path, child)` Register a static child. (inherited from `Resource`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Resource`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``render`(self, request)` Render a given resource.
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'. (inherited from `Presentation`)

Class Variable Summary
`str` | `stylesheet`
`str` | `template`
`str` | `title`
`str` | `widget`

Method Details

### prePresent(self, request)

Perform any tasks which must be done before presenting the page.

  Overrides:
    `twisted.web.widgets.Presentation.prePresent` (inherited documentation)

### render(self, request)

Render a given resource.

This must be implemented in all subclasses of Resource.

The return value of this method will be the rendered page, unless the return value is twisted.web.server.NOT_DONE_YET, in which case it is this class's responsibility to write the results to request.write(data), then call request.finish().

  Overrides:
    `twisted.web.widgets.Page.render` (inherited documentation)

Class Variable Details

### stylesheet

  Type:
    `str`
  Value:

        '''
            a
            {
                font-family: Lucida, Verdana, Helvetica, Arial, sans-serif;
                color: #369;
                text-decoration: none;
            }

        ...

### template

  Type:
    `str`
  Value:

        '''<html>
            <head>
            <title>%%%%self.title%%%%</title>
            <style>
            %%%%self.stylesheet%%%%
            </style>
            <base href="%%%%request.prePathURL()%%%%">
            </head>
        ...

### title

  Type:
    `str`
  Value:

        'No Title'

### widget

  Type:
    `str`
  Value:

        'No Widget'

Generated by Epydoc 1.1 on Thu May 8 13:19:10 2003 | http://epydoc.sf.net